GET /accounts/{account_id}/inventory_cves
List inventory CVEs
curl -X GET "https://api.prd.rad.security/accounts/example_string/inventory_cves?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/inventory_cves?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/inventory_cves?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/inventory_cves?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/inventory_cves?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"entries": [
{
"affected_clusters_count": 10,
"affected_images_count": 25,
"affected_owner_uids": [
"example_string"
],
"affected_workloads_count": 10,
"associated_images": [
{
"image_digest": "example_string",
"image_name": "John Doe",
"image_repo": "example_string",
"image_tag": "example_string"
}
],
"cluster_id": "example_string",
"cve_name": "John Doe",
"data_source": "example_string",
"epss_percentile": 3.14,
"epss_score": 3.14,
"first_seen_at": "example_string",
"fixable": true,
"fixed_in_version": "example_string",
"in_use": true,
"is_known_exploited": true,
"last_seen_at": "example_string",
"package_id": "example_string",
"package_name": "John Doe",
"package_version": "example_string",
"severity": "example_string"
}
],
"has_more": true,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
/accounts/{account_id}/inventory_cvesTarget server for requests. Edit to use your own host.
API key (sent in header)
Account ID
Sort details in format: field:asc|desc. Allowed fields: cve_name, package_name, package_version, severity, in_use, is_known_exploited, epss_score, epss_percentile, first_seen_at, last_seen_at, affected_workloads_count, affected_images_count, affected_clusters_count. Default: affected_workloads_count:desc
Search phrase
Maximum number of results to return. Default: 100
Number of results to skip. Default: 0
Filters in format: key1:value1,key2:value2
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Account ID
Query Parameters
Sort details in format: field:asc|desc. Allowed fields: cve_name, package_name, package_version, severity, in_use, is_known_exploited, epss_score, epss_percentile, first_seen_at, last_seen_at, affected_workloads_count, affected_images_count, affected_clusters_count. Default: affected_workloads_count:desc
Search phrase
Maximum number of results to return. Default: 100
Number of results to skip. Default: 0
Filters in format: key1:value1,key2:value2